# Fetch Listening Topic(s) by id. Supports bulk fetch.

Endpoint: GET /listening/topic
Version: 3.0.0
Security: bearerAuth, apiKeyAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer Token

  - `apiKeyAuth` (unknown)
    apiKey in header Key

## Query parameters:

  - `id` (string)
    Comma-separated list of Listening Topic id

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `id` (string)
    Unique identifier of the Listening Topic in Sprinklr

  - `name` (string, required)
    Listening Topic name

  - `displayName` (string)
    Listening Topic display name

  - `topicType` (string, required)
    Listening Topic type, possible values : ACCOUNT_LISTENING, PROFILE_LISTENING, QUERY_LISTENING, GEO_LOCATION

  - `iconUrl` (string)
    Listening Topic icon url

  - `imageUrl` (string)
    Listening Topic image url

  - `color` (string)
    Listening Topic identification color

  - `description` (string)
    Listening Topic description

  - `topicGroupId` (string, required)
    Topic Group ID to which this Listening Topic belongs

  - `startDate` (integer)
    Start date for Listening Topic to become active

  - `endDate` (integer)
    End date for Listening Topic to become in-active

  - `tags` (array)
    Tags to group Listening Topic based on use case

  - `sources` (array)
    Sources to grab data from

  - `enabled` (boolean)
    Enable live data fetching

  - `query` (string)
    Keyword query to grab messages

  - `languageCodes` (array)
    Languages from which data should be grabbed

  - `countryCodes` (array)
    Countries from which data should be grabbed

  - `locations` (array)
    Locations from which data should be grabbed

  - `locations.name` (string, required)
    Location name

  - `locations.latitude` (number, required)
    Latitude value for Point Location

  - `locations.longitude` (number, required)
    Longitude value for Point Location

  - `locations.radius` (number, required)
    Radius value for Point Location

  - `locations.unit` (string, required)
    Unit for Point Location, possible values : km for Kilometer and mi for Miles

  - `blockLocations` (array)
    Block Locations from which data should not be grabbed

  - `blockedDomains` (array)
    Domains from which data should be blocked

  - `blockedDomainsListIds` (array)
    Domain List IDs to block those Domain data

  - `blockedClientProfileLists` (array)
    Client Profile List IDs from which data should be blocked

  - `blockedPartnerProfileLists` (array)
    Partner Profile List IDs from which data should be blocked

  - `blockedCountryCodes` (array)
    Countries from which data should be blocked

  - `blockedLanguageCodes` (array)
    Languages from which data should be blocked

  - `generatingSourceList` (array)
    Generating Source List IDs from which data should be grabbed

  - `generatingSources` (array)
    Generating Sources from which data should be grabbed

  - `blockedGeneratingSourceList` (array)
    Generating Source List IDs from which data should be blocked

  - `blockedGeneratingSources` (array)
    Generating Sources from which data should be blocked

  - `inclusiveDomains` (array)
    Domains from which data should be grabbed

  - `inclusiveDomainsListIds` (array)
    Domains List IDs from which data should be grabbed

  - `inclusiveClientProfileLists` (array)
    Client Profile List IDs from which data should be grabbed

  - `inclusivePartnerProfileLists` (array)
    Partners Profile List IDs from which data should be grabbed

  - `accountIds` (array)
    Account IDs from which data should be grabbed

  - `accountGroupIds` (array)
    Account Group List IDs from which data should be grabbed

  - `excludeRetweets` (boolean)
    Select true in order to exclude all retweets

  - `matchQuotedRetweets` (boolean)
    Select true in order to match quoted retweets

  - `excludePossiblySensitiveContent` (boolean)
    Select true in order to exclude Sensitive tweets

  - `excludeUrlsInSearch` (boolean)
    Select true in order to exclude urls from keyword search

  - `excludeRevItemName` (boolean)
    Select true in order to exclude review item name from search

  - `onlyVerifiedUser` (boolean)
    Select true in order to match only verified users data

  - `minimumFollowerCount` (integer)
    Minimum follower count that publishing user should have, to match message

  - `minimumMozRank` (number)
    Minimum Moz rank to match message

  - `maximumMozSpamScore` (integer)
    Maximum Moz rank to match message

  - `maximumAlexaRank` (integer)
    Maximum Alexa rank to match message

  - `createdTime` (integer)
    Listening Topic created time

  - `modifiedTime` (integer)
    Listening Topic last modified time

  - `ownerUserId` (integer)
    Listening Topic owner User ID

  - `lastModifiedUserId` (integer)
    Listening Topic last modified User ID

  - `clientId` (integer)
    Listening Topic client id

  - `dataVolumeThresholdApiConfig` (object)
    Listening Topic data Volume Threshold Config

  - `dataVolumeThresholdApiConfig.duration` (integer, required)
    Listening Topic grabbing duration

  - `dataVolumeThresholdApiConfig.durationUnit` (string, required)
    Listening Topic grabbing duration unit, possible values : DAY, MONTH, YEAR, LIFETIME

  - `dataVolumeThresholdApiConfig.maxMentionCount` (integer, required)
    Threshold on maximum messages that listening topic can grab in above duration

  - `dataVolumeThresholdApiConfig.resetStartDate` (boolean)
    Listening Topic data volume start date in epoch time

  - `dataVolumeThresholdApiConfig.userIdsToNotify` (array)
    User IDs to notify

  - `dataVolumeThresholdApiConfig.emailIdsToNotify` (array)
    Emails IDs to notify

  - `dataVolumeThresholdApiConfig.userGroupIdsToNotify` (array)
    User Group IDs to notify

  - `partnerCustomProperties` (object)
    Listening Topic Partner Custom Properties

  - `clientCustomProperties` (object)
    Listening Topic Client Custom Properties

  - `customEntityTypeVsCustomEntityIds` (object)
    Listening Topic Linked Custom Entities

  - `autoBackfill` (boolean)
    Automatically backfill data for topic from start date

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 401:

  - `401` (unknown)
    Missing or invalid authentication

## Response 401 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 403:

  - `403` (unknown)
    Insufficient permissions

## Response 403 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

